summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Melvin Mawhin <mmawhin@hotmail.com>2018-06-29 08:05:15 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-06-30 07:00:14 +0700
commit3ca1a4b33e5c04a9cdf0803149ee59e79380ef3f (patch)
tree1705fdc923c0ff368240958c56df17dbcf69b134 /desktop
parentf714999176377679aefb1b4089a534d19a0ad364 (diff)
downloadslackbuilds-3ca1a4b33e5c04a9cdf0803149ee59e79380ef3f.tar.gz
slackbuilds-3ca1a4b33e5c04a9cdf0803149ee59e79380ef3f.tar.xz
desktop/i3-gaps: Added (a tiling window manager for Linux).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/i3-gaps/README10
-rw-r--r--desktop/i3-gaps/doinst.sh19
-rw-r--r--desktop/i3-gaps/i3-gaps.SlackBuild151
-rw-r--r--desktop/i3-gaps/i3-gaps.info10
-rw-r--r--desktop/i3-gaps/slack-desc19
-rw-r--r--desktop/i3-gaps/xinitrc.i3-gaps19
6 files changed, 228 insertions, 0 deletions
diff --git a/desktop/i3-gaps/README b/desktop/i3-gaps/README
new file mode 100644
index 0000000000..8ebf2a40ed
--- /dev/null
+++ b/desktop/i3-gaps/README
@@ -0,0 +1,10 @@
+This is a fork of i3wm, a tiling window manager for Linux.
+
+It includes a few additional features:
+- Gaps
+- Smart Gaps
+- Smart Borders
+
+This cannot be installed together with i3wm
+
+i3status is optional, but useful to provide a system status bar.
diff --git a/desktop/i3-gaps/doinst.sh b/desktop/i3-gaps/doinst.sh
new file mode 100644
index 0000000000..78f4e66fda
--- /dev/null
+++ b/desktop/i3-gaps/doinst.sh
@@ -0,0 +1,19 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/i3/config.new
+config etc/i3/config.keycodes.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/i3-gaps/i3-gaps.SlackBuild b/desktop/i3-gaps/i3-gaps.SlackBuild
new file mode 100644
index 0000000000..20102f7a7f
--- /dev/null
+++ b/desktop/i3-gaps/i3-gaps.SlackBuild
@@ -0,0 +1,151 @@
+#!/bin/sh
+
+# Slackware build script for i3-gaps.
+
+# Written by Eugene Wissner <belka.ew@gmail.com>
+# Updated by Eugene Suter <easuter@gmail.com>
+# Updated by Marcin Herda <mherda@slackword.net>
+# Used for i3-gaps by Melvin Mawhin <mmawhin@hotmail.com>
+# Cleaning up docs by ponce
+# Copyright 2017 - 2018 Johannes Schoepfer, Germany
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=i3-gaps
+VERSION=${VERSION:-4.15.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/i3-$VERSION.tar.gz
+cd i3-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf --force --install
+
+mkdir -p build
+( cd build
+ CFLAGS="$SLKCFLAGS" \
+ ../configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux
+
+ # V=1 makes build verbose
+ CFLAGS="$SLKCFLAGS" make V=1
+ make install-strip DESTDIR=$PKG
+)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Don't clobber the default config
+mv $PKG/etc/i3/config $PKG/etc/i3/config.new
+mv $PKG/etc/i3/config.keycodes $PKG/etc/i3/config.keycodes.new
+
+# Make xterm default terminal
+sed -i 's/i3-sensible-terminal/xterm/' $PKG/etc/i3/config.new
+
+# KDM menu entry
+mkdir -p $PKG/usr/share/apps/kdm/sessions
+ln -s /usr/share/xsessions/i3.desktop $PKG/usr/share/apps/kdm/sessions/
+
+# Install an xinitrc script
+mkdir -p $PKG/etc/X11/xinit
+cat $CWD/xinitrc.i3-gaps > $PKG/etc/X11/xinit/xinitrc.i3-gaps
+chmod 0755 $PKG/etc/X11/xinit/xinitrc.i3-gaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html $PKG/usr/doc/$PRGNAM-$VERSION/txt
+cp -a DEPENDS LICENSE RELEASE-NOTES-* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/* $PKG/usr/doc/$PRGNAM-$VERSION/txt
+( cd $PKG/usr/doc/$PRGNAM-$VERSION/txt
+ mv *.html *.png *.css ../html/
+ rm i3-pod2html *.conf *.dia
+)
+
+cd AnyEvent-I3
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN1DIR=/usr/man/man1 \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/AnyEvent-I3
+cp -a Changes README MANIFEST $PKG/usr/doc/$PRGNAM-$VERSION/AnyEvent-I3/
+
+# man pages
+find $PKG/usr/man -type f -exec gzip -9 {} +
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -depth -type d -empty -delete || true
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/i3-gaps/i3-gaps.info b/desktop/i3-gaps/i3-gaps.info
new file mode 100644
index 0000000000..8d530b355c
--- /dev/null
+++ b/desktop/i3-gaps/i3-gaps.info
@@ -0,0 +1,10 @@
+PRGNAM="i3-gaps"
+VERSION="4.15.0.1"
+HOMEPAGE="https://github.com/Airblader/i3"
+DOWNLOAD="https://github.com/Airblader/i3/archive/4.15.0.1/i3-4.15.0.1.tar.gz"
+MD5SUM="eab76b0d30964ec619364e9a8f51819f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="dmenu libev libxkbcommon xcb-util-xrm yajl perl-JSON-XS perl-AnyEvent"
+MAINTAINER="Melvin Mawhin"
+EMAIL="mmawhin@hotmail.com"
diff --git a/desktop/i3-gaps/slack-desc b/desktop/i3-gaps/slack-desc
new file mode 100644
index 0000000000..7416af4358
--- /dev/null
+++ b/desktop/i3-gaps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+i3-gaps: i3-gaps (a tiling window manager for Linux)
+i3-gaps:
+i3-gaps: This is a fork of i3wm, a tiling window manager for Linux.
+i3-gaps:
+i3-gaps: It includes a few additional features:
+i3-gaps: - Gaps
+i3-gaps: - Smart Gaps
+i3-gaps: - Smart Borders
+i3-gaps:
+i3-gaps:
+i3-gaps:
diff --git a/desktop/i3-gaps/xinitrc.i3-gaps b/desktop/i3-gaps/xinitrc.i3-gaps
new file mode 100644
index 0000000000..94de8f847c
--- /dev/null
+++ b/desktop/i3-gaps/xinitrc.i3-gaps
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/etc/X11/xinit/.Xresources
+sysmodmap=/etc/X11/xinit/.Xmodmap
+
+# Merge in defaults and keymaps
+[ -f $sysresources ] && /usr/bin/xrdb -merge $sysresources
+[ -f $sysmodmap ] && /usr/bin/xmodmap $sysmodmap
+[ -f $userresources ] && /usr/bin/xrdb -merge $userresources
+[ -f $usermodmap ] && /usr/bin/xmodmap $usermodmap
+
+# Start i3
+if [ -z "$DESKTOP_SESSION" -a -x /usr/bin/ck-launch-session ]; then
+ exec ck-launch-session dbus-launch --exit-with-session /usr/bin/i3
+else
+ exec /usr/bin/i3
+fi